.comparison-container {
    position: relative;
    width: 100%;
    /* max-width: 600px;  Adjust as needed */
    margin: auto;
}

.image-container {
    position: relative;
    overflow: hidden;
}

.image-before, .image-after {
    width: 100%;
    height: auto;
}
.image-after {
  background-repeat: no-repeat;
  background-position: left top;
  background-size: cover;
  height: 100%;
  position: absolute;
  top: 0;
  left: 0;
  width: 72%;
  border-right: 3px solid var(--cremaAgria);
  overflow: hidden;
}
.beforeLabel, .afterLabel {
    font-size: 32px;
    text-shadow: 1px 1px 3px rgba(0,0,0,0.3);
    top: 16px;
}
.afterLabel {
    position: relative;
    left: 32px;
}
.beforeLabel {
    position: absolute;
    right: 32px;
}
.slider {
    position: absolute;
    top: 0;
    left: 72%;
    width: 3px;
    height: 100%;
    background-color: var(--cremaAgria);
    z-index: 50;
    cursor: ew-resize;
    box-shadow: 40px 0 45px #000;
}
.comparisonBtn {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    left: -18px;
    width: 40px;
    height: 40px;
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: var(--cremaAgria);
    border: 2px solid var(--cremaAgria);
    transition: border .2s ease-out;
}
.compareTooltip {
    position: absolute;
    top: calc(50% + 32px);
    left: calc(0px - 60px);
    width: 120px;
    padding: 8px;
    font-size: 13px;
    background-color: var(--cremaAgriaLighterLighter);
    border-radius: 8px;
    opacity: 1;
    transition: opacity 1s ease-out;
}
.compareTooltip::before {
    content: "";
    display: inline-block;
    position: absolute;
    width: 12px;
    height: 12px;
    top: -12px;
    left: calc(50% - 4px);
    /*background-image: url("../imgs/beforeAfterToolTipArrow.gif");
    background-repeat: no-repeat;
    background-position: center; */
    border-left: 6px solid transparent;
    border-right: 6px solid transparent;
    border-bottom: 6px solid var(--cremaAgriaLighterLighter);
}
.comparisonBtn svg {
    fill: var(--seaGray);
    transform: scale(1.325);
    transition: fill .2s ease-out;
}
.comparisonBtn:hover {
    border: 2px solid var(--seaGreen);
    background-color: var(--cremaAgriaLighterLighter);
}
.comparisonBtn:hover svg {
    fill: var(--seaGreen);
}

@media (min-width: 768px) {
    .slider {
        width: 5px;
    }
    .comparisonBtn {

    }
}